# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Tue Apr 30 13:20:05 2024
# ------------------------------------------------

package:
  name: fmt
  version: 9.1.0
source:
  sha256: 5dea48d1fcddc3ec571ce2058e13910a0d4a6bab4cc09a809d8b1dd1c88ae6f2
  url: https://github.com/fmtlib/fmt/archive/9.1.0.tar.gz
build:
  number: '1'
  run_exports:
    - fmt >=9.1.0,<10.0a0
  string: hb8fdbf2_1
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - bzip2 1.0.8 h998d150_5
    - c-ares 1.19.1 h998d150_0
    - ca-certificates 2024.3.11 hd43f75c_0
    - cmake 3.26.4 h3bd60fd_0
    - expat 2.6.2 h419075a_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - gxx_impl_linux-aarch64 11.2.0 h1234567_1
    - gxx_linux-aarch64 11.2.0 h0c7b1b4_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - krb5 1.20.1 h2e2fba8_1
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libcurl 8.5.0 hfa2bbb0_0
    - libedit 3.1.20230828 h998d150_0
    - libev 4.33 hfd63f10_1
    - libffi 3.4.4 h419075a_0
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.57.0 hb788212_0
    - libssh2 1.10.0 h6ac735f_2
    - libstdcxx-devel_linux-aarch64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h998d150_0
    - libuv 1.44.2 h998d150_0
    - lz4-c 1.9.4 h419075a_0
    - ncurses 6.4 h419075a_0
    - ninja 1.10.2 hd43f75c_5
    - ninja-base 1.10.2 h59a28a9_5
    - openssl 3.0.13 h2f4d8fa_0
    - python 3.12.3 h8edadfe_0
    - readline 8.2 h998d150_0
    - rhash 1.4.3 h6ac735f_0
    - sqlite 3.41.2 h998d150_0
    - sysroot_linux-aarch64 2.26 h4744778_14
    - tk 8.6.12 h241ca14_0
    - tzdata 2024a h04d1e81_0
    - xz 5.4.6 h998d150_0
    - zlib 1.2.13 h998d150_0
    - zstd 1.5.5 h6a09583_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
  run:
    - libgcc-ng >=11.2.0
    - libstdcxx-ng >=11.2.0
test:
  commands:
    - test -d ${PREFIX}/include/fmt
    - test -f ${PREFIX}/include/fmt/core.h
    - test -f ${PREFIX}/include/fmt/format.h
    - test -f ${PREFIX}/lib/cmake/fmt/fmt-config.cmake
    - test -f ${PREFIX}/lib/libfmt.so
about:
  description: '{fmt} is an open-source formatting library for C++.

    It can be used as a safe and fast alternative to (s)printf and iostreams.

    '
  dev_url: https://github.com/fmtlib/fmt
  doc_url: https://fmt.dev/latest/
  home: https://fmt.dev/latest/
  license: MIT
  license_family: MIT
  license_file: LICENSE.rst
  summary: '{fmt} is an open-source formatting library for C++'
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: ad2106aa-ba11-4003-b049-c5c17874f87d
  recipe-maintainers:
    - saraedum
    - tdegeus
    - vitaut
  remote_url: git@github.com:AnacondaRecipes/fmt-feedstock.git
  sha: 7cb8975f287d62155c34c438933167a8fdb42ec9
